MetaMethodSite (Groovy 2.4.12)
Date: 2017-06-21

org.codehaus.groovy.runtime.callsite

## Class MetaMethodSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite

- All Implemented Interfaces:
    CallSite
  Direct Known Subclasses:
    ConstructorMetaMethodSite, PogoMetaMethodSite, PojoMetaMethodSite, StaticMetaMethodSite

      public abstract class MetaMethodSite
      extends MetaClassSite

  Call site which caches meta method
  Author:
    Alex Tkachman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class[]` | `params`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected final Class[] params

  - ### Constructor Detail

    - #### MetaMethodSite

          public MetaMethodSite(CallSite site,
                                MetaClass metaClass,
                                MetaMethod metaMethod,
                                Class[] params)